# Method: transfers.list

Lists the transfers for a customer by source user, destination user, or status.

### HTTP request

`GET https://admin.googleapis.com/admin/datatransfer/v1/transfers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Immutable ID of the Google Workspace account. |
| `maxResults` | `integer` Maximum number of results to return. Default is 100. |
| `newOwnerUserId` | `string` Destination user's profile ID. |
| `oldOwnerUserId` | `string` Source user's profile ID. |
| `pageToken` | `string` Token to specify the next page in the list. |
| `status` | `string` Status of the transfer. |

### Request body

The request body must be empty.

### Response body

Template for a collection of DataTransfer resources.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "etag": string, "dataTransfers": [ { object (`https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/transfers#DataTransfer`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies the resource as a collection of data transfer requests. |
| `etag` | `string` ETag of the resource. |
| `dataTransfers[]` | ``object (`https://developers.google.com/workspace/admin/data-transfer/reference/rest/v1/transfers#DataTransfer`)`` transfers.list of data transfer requests. |
| `nextPageToken` | `string` Token to specify the next page in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admin.datatransfer`
- `
  https://www.googleapis.com/auth/admin.datatransfer.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).